@import url('default.css');

body {
    background-color: #dad8da;
    display: grid;
    place-content: center;
    height: 100vh;
    width: 100vw;
    color: #aab0b3;
    overflow: hidden;
}

h3 {
    margin: 0;
    font-size: 2rem;
}

.span-ayuda {
    bottom: 1rem;
    left: 1rem;
    position: absolute;
}

.container--login {
    border-radius: 2rem;
    display: grid;
    padding: 4rem 2rem;
    place-content: center;
    position: absolute;
    width: calc(100% - 4rem);
}

.container--login video {
    display: none;
    height: 15rem;
    right: -26rem;
    position: absolute;
    width: 11rem;
    z-index: 1;
}

.login__logo {
    display: block;
    background: url('../img/logo.svg') no-repeat center #fff;
    border: solid 1rem #dbd9db;
    border-radius: 50%;
    height: 11rem;
    right: calc(50% - 6.5rem);
    position: absolute;
    top: 3rem;
    width: 11rem;
    z-index: 2;
    background-size: 80% !important;
}

.login__form {
    background-color: #fff;
    border-top-left-radius: 2rem;
    border-top-right-radius: 2rem;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    margin: 8rem auto;
    padding: 3rem 2rem 3rem 2rem;
    position: relative;
    z-index: 2;
}

.container--input {
    display: grid;
    padding: var(--form_container--padding);
    row-gap: 0.3rem;
}

.container--input input[type="text"],
.container--input input[type="password"] {
    border: var(--form_item--border);
    border-radius: var(--form_item--border-radius);
    font-family: var(--font-family);
    font-size: var(--font-size);
    padding: var(--form_item--padding);
}

.container--btn {
    padding: var(--form_container--padding);
    padding-top: 1rem;
    position: relative;
    text-align: center;
}

.container--btn div[type="button"] {
    background-color: #cccccc;
    border-radius: var(--form_item--border-radius);
    cursor: pointer;
    color: #fff;
    display: grid;
    padding: var(--form_item--padding);
    place-content: center;
}

.msg--error {
    color: var(--color--error);
    font-size: 0.7rem;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
}

.msg--span {
    font-size: 0.7rem;
    cursor: pointer;
    color: #666;
}

@media screen and (min-width: 1280px) {
    .container--login {
        border-top-left-radius: 2rem;
        border-top-right-radius: 36%;
        border-bottom-right-radius: 36%;
        border-bottom-left-radius: 0;
        grid-template-columns: 1fr 16rem;
        position: absolute;
        top: 8rem;
        right: calc(50% - 20rem);
        width: unset;
    }

    .container--login video {
        /*! border-radius: 50%; */
        display: block;
        height: 71rem;
        right: -29rem;
        position: absolute;
        top: -22.5rem;
        width: 80rem;
        z-index: 1;
    }

    .login__form {
        border-top-left-radius: 2rem;
        border-bottom-left-radius: 0;
        margin: auto;
        padding: 1rem 11rem 1rem 5rem;
    }

    .login__logo {
        height: 25rem;
        right: -1rem;
        top: 0;
        width: 25rem;
        background-size: unset;
    }
}

@media screen and (min-width: 1920px) {

    .container--login video {
        height: 72rem;
        right: -29rem;
        top: -24.5rem;
        width: 78rem;
    }

    .login__form {
        padding: 0 11rem 1rem 5rem;
    }

    .login__logo {
        height: 25rem;
        right: -2rem;
        top: -1rem;
        width: 25rem;
    }
}